#! /bin/sh -e

# 98_alsaconf_fixes.dpatch by David B. Harris
#
# DP: Use correct gid and perms for alsaconf.

. debian/patches/patch-opts

if [ $# -ne 1 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi
case "$1" in
    -patch) patch $patch_opts < $0;;
    -unpatch) patch $patch_opts -R < $0;;
    *)
        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
        exit 1;;
esac

exit 0

@DPATCH@

--- alsa-driver/utils/alsaconf      11 Feb 2003 15:51:55 -0000      1.1.1.2
+++ alsa-driver/utils/alsaconf      8 Mar 2003 15:35:10 -0000
@@ -63,8 +63,8 @@
 use_modinfo_db=0
 do_logging=0
 alsa_uid=0
-alsa_gid=0
-alsa_mode=0666
+alsa_gid=29
+alsa_mode=0660
 legacy_probe_card=""
 LOGFILE="/tmp/alsaconf.log"
 TESTSOUND="/usr/share/sounds/alsa/test.wav"
